<body>
<div class="container">
    <div class="box">
<form [formGroup]="registrationForm">
    <div class="form-group">
        <label>username</label>
        <input formControlName="username" class="form-control">
        <label class="text-danger" *ngIf="registrationForm.get('username')!.errors?.required && registrationForm.get('username')!.touched">UserName Canot Be Null</label>
        <br>

        <label>Email</label>
        <input formControlName="email" class="form-control" (ngModelChange)="checkEmail()">
        <label class="text-danger" *ngIf="emailExisting">Email already exist</label>
        <label class="text-danger" *ngIf="registrationForm.get('email')!.errors?.required && registrationForm.get('email')!.touched">Email Canot Be Null</label>
        <label class="text-danger" *ngIf="registrationForm.get('email')!.errors?.pattern && registrationForm.get('email')!.touched">Invalid </label>
        <br>

        <label>Phone Number</label>
        <input formControlName="phone" class="form-control">
        <label class="text-danger" *ngIf="registrationForm.get('phone')!.errors?.required && registrationForm.get('phone')!.touched">Phone Canot Be Null</label>
        <label class="text-danger" *ngIf="registrationForm.get('phone')!.errors?.pattern && registrationForm.get('phone')!.touched">Invalid phone</label>
        <br>

        <label>Password</label>
        <input formControlName="password" class="form-control">
        <label class="text-danger" *ngIf="registrationForm.get('password')!.errors?.required && registrationForm.get('password')!.touched">Password Canot Be Null</label>
        <br>

       
        <label>Conform Password</label>
        <input formControlName="Conformpassword" class="form-control" (ngModelChange)="passwordCheck()">
        <label class="text-danger" *ngIf="registrationForm.get('Conformpassword')!.errors?.required && registrationForm.get('Conformpassword')!.touched">Password Canot Be Null</label><br>
        <label class="text-danger" *ngIf="passwordMissMatch">Password dosen't match </label>
        <br>
  
        <button type="button" class="btn btn-outline-dark"  [disabled]="registrationForm.invalid || emailExisting || passwordMissMatch " (click)="registerEmploye()">Register</button>
    </div>
</form>

</div></div>
</body>